using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SecondLevelTrigger : MonoBehaviour
{
    public Transform m_targetTrans;
    private Vector3 m_pos = new Vector3(0.09f, 1.3f, -0.54f);
    private Quaternion m_rotation = Quaternion.Euler(-15,256, -2.594f);

    private void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.CompareTag("Target"))
        {
            BattleCtrl.instance.levelManager.curLevel.chainRopeView.CatchObjEnterTarget();
            BattleCtrl.instance.OnBattleWin();
            m_targetTrans.localPosition = m_pos;
            m_targetTrans.localRotation = m_rotation;
        }
    }
}
